add_library(settings
    "src/settings.c"
)
set(inc "inc")

if(PS1_BUILD)
    set(inc ${inc} "ps1/inc")
elseif(SDL1_2_BUILD)
    set(inc ${inc} "sdl-1.2/inc")
elseif(ESP32_BUILD)
    set(inc ${inc} "esp32/inc")
endif()

target_include_directories(settings PUBLIC ${inc})
target_link_libraries(settings PUBLIC game peripheral PRIVATE gfx)
